## oxygen-icons5 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(oxygen-icons)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
set(KF5_VERSION "5.18.0") # handled by release scripts

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# Dependencies
set(REQUIRED_QT_VERSION "5.3.0")

add_subdirectory(autotests)

########### install files ###############

set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )

set(OXYGEN_INSTALL_DIR ${KDE_INSTALL_ICONDIR}/oxygen)
install( DIRECTORY ${oxygen_icon_dirs} DESTINATION ${OXYGEN_INSTALL_DIR} PATTERN .svn EXCLUDE PATTERN "*.sh" EXCLUDE )
install( FILES index.theme DESTINATION ${OXYGEN_INSTALL_DIR})

macro (COPY_ICONS _srcdir _srcfile _destdir)
  set(_src "${_srcdir}/${_srcfile}")
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${_src}")
    foreach(_dest ${ARGN})
      install( FILES "${_src}" DESTINATION ${_destdir}/${_srcdir} RENAME "${_dest}" )
    endforeach()
  endif()
endmacro (COPY_ICONS)

# Copy the msoffice icon to the msoffice-2007 mimetypes (#225507)
foreach(_sizedir ${oxygen_icon_dirs})

#  template/example
#  COPY_ICONS(
#    ${_sizedir}/mimetypes
#    application-msword.png
#    ${OXYGEN_INSTALL_DIR}
#    application-vnd.openxmlformats-officedocument.wordprocessingml.template.png
#    application-vnd.ms-word.template.macroEnabled.12.png)

endforeach()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
oxygen-icons5 (5.18.0-0ubuntu1) xenial; urgency=medium

  * New upstream release, for kf5
  * Port watch file to new download location 
  * Build-depend on extra-cmake-modules, qtbase5-dev
  * Rename the binary to oxygen5-icon-theme and break/replace/provide
    oxygen-icon-theme
  * Add a transitional package for oxygen-icon-theme

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:27:04 +0100

oxygen-icons (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:38:06 +0200

oxygen-icons (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:38:13 -0700

oxygen-icons (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:07:27 -0800

oxygen-icons (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:53:00 +0100

oxygen-icons (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Remove rule for fixing x-office-document.png, fixed upstream instead
  * Merge with Debian, remaining changes:
    - In debian/rules override_dh_install: copy systray icons to
      hicolour, solves loading icons on Gnome

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:52 +0100

oxygen-icons (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix x-office-document.png in 22x22. (Closes: #677675)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:51:07 +0200

oxygen-icons (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:37:27 -0700

oxygen-icons (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:54:33 +0200

oxygen-icons (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:39:42 +0200

oxygen-icons (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:30:20 +0200

oxygen-icons (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:54:48 +0200

oxygen-icons (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:42:01 +0200

oxygen-icons (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with debian git, remaining changes:
    - In debian/rules override_dh_install: copy systray icons to
      hicolour, solves loading icons on Gnome
  * drop transitional oxygen-icon-theme-complete after LTS

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:03 +0100

oxygen-icons (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:44 +0200

oxygen-icons (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:49 +0100

oxygen-icons (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:20 +0100

oxygen-icons (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jan 2014 20:36:47 +0100

oxygen-icons (4:4.11.3-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 13:18:57 +0100

oxygen-icons (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Oct 2013 21:31:16 +0200

oxygen-icons (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:35:31 +0200

oxygen-icons (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 09:22:04 +0200

oxygen-icons (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.4, no further changes.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 05 Apr 2013 14:18:22 +0200

oxygen-icons (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump Standards-Version to 3.9.3, no further changes.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:52:18 +0300

oxygen-icons (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:27:09 +0100

oxygen-icons (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:54:43 +0200

oxygen-icons (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:54:34 +0100

oxygen-icons (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:01:25 +0000

oxygen-icons (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:15:20 +0100



=== debian/control ===
Source: oxygen-icons5
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Eshat Cakar <info@eshat.de>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               fdupes,
               imagemagick,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/oxygen-icons5.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/oxygen-icons5.git

Package: oxygen-icon-theme
Architecture: all
Section: oldlibs
Priority: extra
Depends: oxygen5-icon-theme, ${misc:Depends}
Description: Transitional package for oxygen5-icon-theme
 This is a transitional package for oxygen5-icon-theme and can safely be
 removed after installation.

Package: oxygen5-icon-theme
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Breaks: oxygen-icon-theme (<< 5:5.18)
Replaces: oxygen-icon-theme (<< 5:5.18)
Provides: oxygen-icon-theme
Description: Oxygen icon theme
 Oxygen is the standard icon theme for KDE 4, but follows the freedesktop.org
 icon schemes, so it can be used in other desktop environments using this
 specification.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_gencontrol:
	dh_gencontrol -poxygen-icon-theme -- -v5:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

override_dh_install:
	$(overridden_command)
	find $(CURDIR)/debian/oxygen5-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/oxygen5-icon-theme $(CURDIR)/debian/oxygen5-icon-theme/usr/share/icons

	set -e && for size in 256 128 64 48 32 22 16; do \
		package="oxygen5-icon-theme"; \
		mkdir -p debian/$${package}/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		for icon in device-notifier kde kde-windows klipper korgac kpgp krdc krfb ktip nepomuk oxygen plasma strigi; do \
			if [ -e debian/$${package}/usr/share/icons/oxygen/$${size}x$${size}/apps/$${icon}.png ]; then \
				ln -s ../../../oxygen/$${size}x$${size}/apps/$${icon}.png debian/$${package}/usr/share/icons/hicolor/$${size}x$${size}/apps; \
			fi; \
		done; \
	done

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/oxygen-icons5-([\d.]+).tar.xz
http://download.kde.org/stable/frameworks/([\d.]+)/oxygen-icons5-([\d.]+).tar.xz

## oxygen-icons5 5.26.0

=== debian/changelog ===
oxygen-icons5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:45 +0100

oxygen-icons5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:50:24 +0000

oxygen-icons5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:23:03 +0200

oxygen-icons5 (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Merge in the missing packaging changes from xenial
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:56:48 -0700

oxygen-icons5 (5.21.0-1~2.gbpd6f9a9) UNRELEASED; urgency=medium

  ** SNAPSHOT build @d6f9a90a2d67249ee1a35dd656fdc2521615000f **

  [ Rohan Garg ]
  * Fix target in debian/rules since the dh_install commands
    are arch independent.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * uscan no longer supports more than one main upstream tarball being listed
  * New upstream release moves conflicting x-mail-distribution.png file to
    base/x-mail-distribution.png (Closes: #820447) Thanks to Andreas Beckmann
    for reporting.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sun, 10 Apr 2016 09:32:26 +0200

oxygen-icons5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:36 +0100

oxygen-icons5 (5.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Package renamed upstream.
  * New upstream release (5.18.0).

  [ Philip Muškovac ]

  * New upstream release, for kf5
  * Port watch file to new download location
  * Build-depend on extra-cmake-modules, qtbase5-dev
  * Rename the binary to oxygen5-icon-theme and break/replace/provide
    oxygen-icon-theme

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:32 +0100

oxygen-icons (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 17:58:30 +0300

oxygen-icons (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unsable.
  * Update uploaders, remove Armin.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 11:54:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Eshat Cakar <info@eshat.de>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev
-Standards-Version: 3.9.5
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.6.1
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/oxygen-icons5.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/oxygen-icons5.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
 
 Package: oxygen-icon-theme
 Architecture: all
@@ -31,8 +31,8 @@
 Package: oxygen5-icon-theme
 Architecture: all
 Depends: hicolor-icon-theme, ${misc:Depends}
-Breaks: oxygen-icon-theme (<< 5:5.18)
-Replaces: oxygen-icon-theme (<< 5:5.18)
+Breaks: fdpowermon-icons, oxygen-icon-theme (<< 5:5.18)
+Replaces: fdpowermon-icons, oxygen-icon-theme (<< 5:5.18)
 Provides: oxygen-icon-theme
 Description: Oxygen icon theme
  Oxygen is the standard icon theme for KDE 4, but follows the freedesktop.org

## oxygen-icons5 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,29 +4,29 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-set(KF5_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 # Dependencies
-set(REQUIRED_QT_VERSION "5.3.0")
+set(REQUIRED_QT_VERSION 5.5.0)
+
+set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )
 
 add_subdirectory(autotests)
 
 ########### install files ###############
 
-set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )
-
-set(OXYGEN_INSTALL_DIR ${KDE_INSTALL_ICONDIR}/oxygen)
+set(OXYGEN_INSTALL_DIR ${KDE_INSTALL_ICONDIR}/oxygen/base)
 install( DIRECTORY ${oxygen_icon_dirs} DESTINATION ${OXYGEN_INSTALL_DIR} PATTERN .svn EXCLUDE PATTERN "*.sh" EXCLUDE )
-install( FILES index.theme DESTINATION ${OXYGEN_INSTALL_DIR})
+install( FILES index.theme DESTINATION ${KDE_INSTALL_ICONDIR}/oxygen)
 
 macro (COPY_ICONS _srcdir _srcfile _destdir)
   set(_src "${_srcdir}/${_srcfile}")

=== debian/changelog ===
oxygen-icons5 (5:5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:06 +0100

oxygen-icons5 (5:5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:57:56 +0200

oxygen-icons5 (5:5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * Drop transitional oxygen5-icon-theme package.
  * Remove useless breeze-icon-theme breaks in oxygen-icon-theme.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:57:39 +0200

oxygen-icons5 (5:5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:18:10 +0200

oxygen-icons5 (5:5.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump extra-cmake-modules build dependency to 5.24.0~.
  * Add 5 as epoch, so the binaries can take over older binaries from
    src:oxygen-icons.
  * Rename oxygen5-icon-theme back to oxygen-icon-theme, since it is the name
    of the icon theme:
    - add proper breaks/replaces
    - add oxygen5-icon-theme as transitional package
  * Change the local installation from debian/tmp to debian/oxygen-icon-theme,
    so there is no need to copy files later with dh_install.
    - remove oxygen-icon-theme.install, no more used now
  * Remove symlinking of some icons to the hicolor icon theme: other than not
    working currently, it does not make sense for an icon theme to place stuff
    outside its own directory.
  * Re-enable duplicates cleanup, but using the dh override that dhmk
    understand.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2016 17:57:11 +0200

oxygen-icons5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:25:45 +0200

oxygen-icons5 (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 23:44:17 +0200

oxygen-icons5 (5.21.0-1) experimental; urgency=medium

  [ Rohan Garg ]
  * Fix target in debian/rules since the dh_install commands
    are arch independent.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports more than one main upstream tarball being listed
  * New upstream release moves conflicting x-mail-distribution.png file to
    base/x-mail-distribution.png (Closes: #820447) Thanks to Andreas Beckmann
    for reporting.
  * New upstream release moves conflicting x-mail-distribution.png file to base/x-mail-distribution.png (Closes: #820447)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:31:30 +0200

=== debian/control ===
Source: oxygen-icons5
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Eshat Cakar <info@eshat.de>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               fdupes,
               imagemagick,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/oxygen-icons5.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/oxygen-icons5.git

Package: oxygen-icon-theme
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Breaks: fdpowermon-icons
Replaces: fdpowermon-icons
Description: Oxygen icon theme
 Oxygen is the standard icon theme for KDE 4, but follows the freedesktop.org
 icon schemes, so it can be used in other desktop environments using this
 specification.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# dhmk does not support -indep variant!
override_dh_install:
	$(overridden_command)
	find $(CURDIR)/debian/oxygen-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/oxygen-icon-theme $(CURDIR)/debian/oxygen-icon-theme/usr/share/icons

## oxygen-icons5 5.31.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(oxygen-icons)
+set(KF5_VERSION "5.31.0") # handled by release scripts
+project(oxygen-icons VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.31.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-set(KF5_VERSION "5.28.0") # handled by release scripts
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.6.0)
 
 set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )

=== debian/changelog ===
oxygen-icons5 (5:5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:53:00 +0000

oxygen-icons5 (5:5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:53 +0000

oxygen-icons5 (5:5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, importing the oxygen5-icon-theme -> oxygen-icon-theme
   renaming, add oxygen5-icon-theme as dummy package, add
   oxygen-icon-theme.install file (needed because this source package, unlike
   debian's one builds 2 binary packages and not just one).
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:19:18 +0000

=== debian/control ===
Source: oxygen-icons5
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Eshat Cakar <info@eshat.de>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               fdupes,
               imagemagick,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5

Package: oxygen-icon-theme
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Breaks: fdpowermon-icons, oxygen5-icon-theme (<< 5:5.27.0-1ubuntu1~)
Replaces: fdpowermon-icons, oxygen5-icon-theme (<< 5:5.27.0-1ubuntu1~)
Description: Oxygen icon theme
 Oxygen is the standard icon theme for KDE 4, but follows the freedesktop.org
 icon schemes, so it can be used in other desktop environments using this
 specification.

Package: oxygen5-icon-theme
Architecture: all
Section: oldlibs
Priority: extra
Depends: oxygen-icon-theme, ${misc:Depends}
Description: Transitional package for oxygen-icon-theme
 This is a transitional package for oxygen-icon-theme and can safely be
 removed after installation.

## oxygen-icons5 5.38.0

=== debian/changelog ===
oxygen-icons5 (5:5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:17:41 +0100

oxygen-icons5 (5:5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:50:19 +0100

oxygen-icons5 (5:5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:47 +0100

oxygen-icons5 (5:5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:00:24 +0100

oxygen-icons5 (5:5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:28:17 +0100

oxygen-icons5 (5:5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Eshat Cakar <info@eshat.de>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),

## oxygen-icons5 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.31.0") # handled by release scripts
+set(KF5_VERSION "5.44.0") # handled by release scripts
 project(oxygen-icons VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.31.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -16,7 +16,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.6.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 
 set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )

=== debian/changelog ===
oxygen-icons5 (5:5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:59:45 +0000

oxygen-icons5 (5:5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:11 +0000

oxygen-icons5 (5:5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:23:40 +0000

oxygen-icons5 (5:5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:08:52 -0600

oxygen-icons5 (5:5.40.0-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-           Eshat Cakar <info@eshat.de>
+           Eshat Cakar <info@eshat.de>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
@@ -32,7 +32,7 @@
 Package: oxygen5-icon-theme
 Architecture: all
 Section: oldlibs
-Priority: extra
+Priority: optional
 Depends: oxygen-icon-theme, ${misc:Depends}
 Description: Transitional package for oxygen-icon-theme
  This is a transitional package for oxygen-icon-theme and can safely be

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# dhmk does not support -indep variant!
override_dh_install:
	$(overridden_command)
	find $(CURDIR)/debian/oxygen-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/oxygen-icon-theme $(CURDIR)/debian/oxygen-icon-theme/usr/share/icons

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/oxygen-icons5-([\d.]+).tar.xz

## oxygen-icons5 5.50.0

=== debian/changelog ===
oxygen-icons5 (5:5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:56 +0100

oxygen-icons5 (5:5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:48 +0100

oxygen-icons5 (5:5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:05 +0100

oxygen-icons5 (5:5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:49 +0200

oxygen-icons5 (5:5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:13 +0100

oxygen-icons5 (5:5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:09 +0200

oxygen-icons5 (5:5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:30 +0100

oxygen-icons5 (5:5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:20 +0100

oxygen-icons5 (5:5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:22 +0100

oxygen-icons5 (5:5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:11 +0100

oxygen-icons5 (5:5.41.0-1) experimental; urgency=medium

  * Update build-deps and deps with the info from cmake
  * Update uploaders list as requested by MIA team (Closes: #879417)
  * New upstream release (5.41.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:21 -0300

oxygen-icons5 (5:5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:07 +0200

oxygen-icons5 (5:5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:28 +0200

oxygen-icons5 (5:5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Philip Muškovac ]
  * Switch to kf5 based pkg tools

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Eshat Cakar <info@eshat.de>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.50.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_install:
	dh_install
	find $(CURDIR)/debian/oxygen-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/oxygen-icon-theme $(CURDIR)/debian/oxygen-icon-theme/usr/share/icons

## oxygen-icons5 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
 project(oxygen-icons VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -13,10 +13,10 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 
 set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )

=== debian/changelog ===
oxygen-icons5 (5:5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:35 -0300

oxygen-icons5 (5:5.51.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

  [ Helmut Grohne ]
  * Mark oxygen-icon-theme Multi-Arch: foreign (Closes: 902707)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:32 +0100

oxygen-icons5 (5:5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:12 +0200

oxygen-icons5 (5:5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:56 +0200

=== debian/control ===
Source: oxygen-icons5
Section: x11
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Eshat Cakar <info@eshat.de>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               fdupes,
               imagemagick,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5.git

Package: oxygen-icon-theme
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends}
Breaks: fdpowermon-icons
Replaces: fdpowermon-icons
Description: Oxygen icon theme
 Oxygen is the standard icon theme for KDE 4, but follows the freedesktop.org
 icon schemes, so it can be used in other desktop environments using this
 specification.

## oxygen-icons5 5.56.0

=== debian/changelog ===
oxygen-icons5 (5:5.56.0-0ubuntu2) disco; urgency=medium

  * Sync Debian changes. Remaining changes:
    - debian/control: Bumped frameworks build dep.
    - debain/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 15:53:40 +0000

oxygen-icons5 (5:5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:05 +0000

oxygen-icons5 (5:5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:34 +0000

oxygen-icons5 (5:5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:47 +0000

oxygen-icons5 (5:5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:19 +0000

oxygen-icons5 (5:5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
            Eshat Cakar <info@eshat.de>,
 Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
 
 Package: oxygen-icon-theme
 Architecture: all

## oxygen-icons5 5.62.0

=== debian/changelog ===
oxygen-icons5 (5:5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:17 -0700

oxygen-icons5 (5:5.61.0-1) experimental; urgency=medium

  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:09:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
            Eshat Cakar <info@eshat.de>,
 Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.11.0~),
 Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5.git
 
 Package: oxygen-icon-theme
 Architecture: all

## oxygen-icons5 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
 project(oxygen-icons VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 
 set( oxygen_icon_dirs  8x8 16x16 22x22 32x32 48x48 64x64 128x128 256x256 )

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Test)

configure_file(testdata.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/testdata.h)
ecm_add_test(symlinktest.cpp
    TEST_NAME "symlink"
    LINK_LIBRARIES Qt5::Test
)
ecm_add_test(newlinetest.cpp
    TEST_NAME "newline"
    LINK_LIBRARIES Qt5::Test
)
ecm_add_test(dupetest.cpp
    TEST_NAME "dupe"
    LINK_LIBRARIES Qt5::Test
)

=== debian/changelog ===
oxygen-icons5 (5:5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:10 +0000

oxygen-icons5 (5:5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:54 +0000

oxygen-icons5 (5:5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:44 +0000

oxygen-icons5 (5:5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:45 +0000

oxygen-icons5 (5:5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:58 +0000

oxygen-icons5 (5:5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:24 +0100

oxygen-icons5 (5:5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:02 +0100

oxygen-icons5 (5:5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:30 +0100

oxygen-icons5 (5:5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:41 +0100

oxygen-icons5 (5:5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:51 +0100

oxygen-icons5 (5:5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
            Eshat Cakar <info@eshat.de>,
 Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                fdupes,
                imagemagick,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen-icons5.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen-icons5
 
 Package: oxygen-icon-theme
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 	dh_install
 	find $(CURDIR)/debian/oxygen-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
 	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/oxygen-icon-theme $(CURDIR)/debian/oxygen-icon-theme/usr/share/icons
-
